### PHCPress Documentation
Ruby on Rails 7 engine to manage your website's articles, categories and media.
  
- Website article posts with WYSIWYG editor.
- Upload images locally or use any popular cloud service.
- Customizable article categories module included.
- This version has multi-tenancy capabilities.
  
#### Step 1 - Add PHCPress to your gemfile and run the install command
  
	gem 'phcpresspro'
	bundle install
  
#### Step 2 - Add [PHCDevworks Accounts Devise](https://github.com/phcdevworks/phcdevworks_accounts_devise) to your gemfile
This plugin is optimized for PHCDevworks Accounts which uses Devise.
  
	gem 'phcdevworks_accounts_devise'
	bundle install
    
#### Step 3 - Mount PHCPress & Add Routes
Mount PHCPress by adding code below to your routes file.
  
	mount PhcdevworksAccountsDevise::Engine, :at => '/'
	mount Phcpresspro::Engine, :at => '/'
  
#### Step 4 - Copy All Required Database Tables
To copy PHCPress and PHCDevworks Accounts Devise database migrations.
  
	rails railties:install:migrations
  
#### Step 5 - Recompile Assets
To ensure proper function re-compile your application's assets.
  
	rails assets:clobber && rails assets:precompile
  